Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Dados

    java.lang.Object
      estella.lib.Dados

    public class Dados

extends java.lang.Object

Dados compartilhados por todas threads / funcoes do sistema Objetos staticos (mesmo valor para todo mundo, independente da instanciacao)

Since:
  06/12/2005

Field Summary
`static ArquivoLista` | `arquivos`
`static boolean` | `debug`
`static int` | `download`
`static java.lang.String` | `ip`
`static DescritorLista` | `listaDescritores`
`static Log` | `LOG`
`static int` | `numArqComp`
`static ServentLista` | `offlineServents`
`static ServentLista` | `onlineClientes`
`static ServentLista` | `onlineServents`
`static DescritorLista` | `pingEnviados`
`static DescritorLista` | `pingRepassados`
`static DescritorLista` | `queryEnviados`
`static DescritorLista` | `queryRepassadas`
`static int` | `tamArqComp`
`static int` | `upload`

Constructor Summary
`Dados()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onlineServents

    public static ServentLista onlineServents

### offlineServents

    public static ServentLista offlineServents

### onlineClientes

    public static ServentLista onlineClientes

### arquivos

    public static ArquivoLista arquivos

### queryRepassadas

    public static DescritorLista queryRepassadas

### pingRepassados

    public static DescritorLista pingRepassados

### pingEnviados

    public static DescritorLista pingEnviados

### queryEnviados

    public static DescritorLista queryEnviados

### listaDescritores

    public static DescritorLista listaDescritores

### LOG

    public static Log LOG

### numArqComp

    public static int numArqComp

### tamArqComp

    public static int tamArqComp

### download

    public static int download

### upload

    public static int upload

### debug

    public static boolean debug

### ip

    public static java.lang.String ip

Constructor Detail

### Dados

    public Dados()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD